#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/16859.IST230.A.2009.6.ESEMPIO_META.txt", sep="")
Ril230_A2009<- read.delim2 (fileInput,  header=T, sep="\t",  na.strings = ".")
attr(Ril230_A2009, "label") <- c(
"Codice identificativo del lavoratore",
"Sesso del lavoratore",
"Classe di et - quinquiennale",
"Anno ",
"Posizione nella professione - attivit di lavoro prevalente nell'anno",
"Regime orario  - attivit di lavoro prevalente nell'anno",
"Tipologia di contratto - attivit di lavoro prevalente nell'anno",
"Regione di lavoro  - attivit di lavoro prevalente nell'anno",
"Ripartizione di lavoro  - attivit di lavoro prevalente nell'anno",
"Codice Impresa",
"Attivit economica dell'impresa",
"Classe di addetti dell'impresa",
"Classe di addetti dell'impresa")

sesso_def_Fact <- factor(Ril230_A2009$sesso_def, 
levels=c(1, 
2), 
labels=c("Femmina", 
"Maschio")) 


CLETA_1_Fact <- factor(Ril230_A2009$CLETA_1, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("15-24", 
"25-34", 
"35-44", 
"45-54", 
"55 oltre")) 


qualif1_Fact <- factor(Ril230_A2009$qualif1, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Operaio", 
"Impiegato", 
"Quadro", 
"Apprendista", 
"Dirigente", 
"Altro")) 


qualif2_Fact <- factor(Ril230_A2009$qualif2, 
levels=c(1, 
2), 
labels=c("Fulltime", 
"Part Time ")) 


qualif3_Fact <- factor(Ril230_A2009$qualif3, 
levels=c(1, 
2), 
labels=c("Tempo determinato", 
"Tempo indeterminato")) 


regione_Fact <- factor(Ril230_A2009$regione, 
levels=c(1, 
10, 
11, 
12, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
2, 
20, 
21, 
22, 
3, 
4, 
5, 
6, 
7, 
8, 
9), 
labels=c("Piemonte", 
"Umbria", 
"Marche", 
"Lazio", 
"Abbruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Valle D.Aosta", 
"Sardegna", 
"Stato estero", 
"Codice mancante errato o non identificabile", 
"Lombardia", 
"Trentino Alto Adige", 
"Veneto", 
"Friuli Venezia-Giulia", 
"Liguria", 
"Emilia Romagna", 
"Toscana")) 


ripartizione_Fact <- factor(Ril230_A2009$ripartizione, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Nord ovest", 
"Nord est", 
"Centro", 
"Sud", 
"Isole", 
"Stato estero", 
"Codice mancante errato o non identificabile")) 


Ateco_sez_Fact <- factor(Ril230_A2009$Ateco_sez, 
levels=c(0, 
1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9), 
labels=c("Fuori campo", 
"Attivit manifatturiere ed estrattive, altre attivit", 
"Costruzioni", 
"Commercio all ingrosso e al dettaglio, trasporto e magazzinaggio, attivit di alloggio e ristorazione", 
"Servizio di informazione e comunicazione", 
"Attivit finanziarie a assicurative", 
"Attivit immobiliari ", 
"Attivit professionali, scientifiche e tecniche, attivit amministrative e di servizi di supporto", 
"Istruzione, sanit e assistenza sociale", 
"Altre attivit di servizi")) 


classe_addetti_Fact <- factor(Ril230_A2009$classe_addetti, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("fino a 9", 
"da 10 a 19", 
"da 20 a 49", 
"da 50 a 249", 
"250 e pi")) 


f_giur_new_Fact <- factor(Ril230_A2009$f_giur_new, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Imprenditore individuale, libero professionista e lavoratore autonomo", 
"Societa di persone", 
"Societa Cooperativa", 
"Altre forme disciplinate dal diritto privato", 
"Forme disciplinate dal diritto pubblico", 
"Societ di capitali")) 

